package course

import (
	"spaceofcheng/services/models"
	"spaceofcheng/services/models/model"
	"spaceofcheng/services/utils"
	"strconv"
)

// GetTagsList 获取标签列表
func (m *CourseDAO) GetTagsList(orgid string, page, pageSize int) ([]model.TdCourseTag, error) {
	var tags []model.TdCourseTag
	err := m.db.Where("status>"+strconv.Itoa(models.STATUS_DEL)).And("org_id=?", orgid).Desc("create_date").Limit(pageSize, (page-1)*pageSize).Find(&tags)
	return tags, err
}

// GetTagsCount 获取标签count
func (m *CourseDAO) GetTagsCount(orgid string) (int, error) {
	var tags []model.TdCourseTag
	err := m.db.Where("status>"+strconv.Itoa(models.STATUS_DEL)).And("org_id=?", orgid).Find(&tags)
	if err != nil {
		return 0, nil
	}
	if len(tags) > 0 {
		return len(tags), nil
	}
	return 0, nil
}

// AddCourseTag 新增课程标签
func (m *CourseDAO) AddCourseTag(tag model.TdCourseTag) (*model.TdCourseTag, error) {
	tag.TagId = utils.GetGUID()
	tag.Status = models.STATUS_NORMAL
	_, err := m.db.Insert(tag)
	return &tag, err
}
